/*
	SpinLibInterns.h
	
	Internal header for the beachball cursor spinning library.
	
*/

#ifndef __H_SpinLibInterns__
#define __H_SpinLibInterns__

#include <Retrace.h>

typedef struct {
	VBLTask				vblTask;
	long					vblA5;
	CursHandle*			cursors;
	short				direction;
	short				value;
} CursorTask, *CursorTaskPtr;

OSErr SpinInit(void);
OSErr SpinStart(short direction);
OSErr SpinStop(void);
OSErr SpinCleanup(void);
Boolean SpinSpinning(void);

pascal void SpinTask(void);

#endif
